# définissez toutes les variables nécessaires avec des valeurs par défaut appropriées.

variable "project_name" {
  description = "Nom du projet"
  type        = string
  default     = "My First Project"
}

variable "region" {
  description = "Region du projet"
  type        = string
  default     = "europe-west9"
}

variable "frontend_cidr" {
  description = "CIDR for frontend subnet"
  type        = string
  default     = "10.0.1.0/24"
}

variable "backend_cidr" {
  description = "CIDR for backend subnet"
  type        = string
  default     = "10.0.2.0/24"
}

variable "database_cidr" {
  description = "CIDR for database subnet"
  type        = string
  default     = "10.0.3.0/24"
}

variable "ssh_source_ranges" {
  description = ""
  type        = string
  default     = "0.0.0.0/0"
}

variable "project_id" {
  description = "ID du projet"
  type        = string
  default     = "fourth-palisade-478713-i3 "
}

variable "instance_type" {
  description = "type de l'instance"
  type = string
  default = "e2-small"
}

variable "zone" {
  description = "Nom de la zone"
  type = string
  default = "europe-west9-b"
}